Index: unk/Ohana/src/opihi/scripts/tag-elixir
===================================================================
--- /trunk/Ohana/src/opihi/scripts/tag-elixir	(revision 4737)
+++ 	(revision )
@@ -1,31 +1,0 @@
-#!/bin/csh -f
-
-# this just organizes the tagging of the elixir components
-
-if ($#argv != 1) then
-  echo "USAGE: tag-elixir (TAG)"
-  exit 2
-endif
-
-cvs tag $1 Makefile
-cvs tag $1 bin/
-cvs tag $1 cmd.astro/
-cvs tag $1 cmd.basic/
-cvs tag $1 cmd.data/
-cvs tag $1 doc/
-cvs tag $1 dvo/
-cvs tag $1 help/
-cvs tag $1 include/
-cvs tag $1 lib/
-cvs tag $1 lib.data/
-cvs tag $1 lib.shell/
-cvs tag $1 mana/
-cvs tag $1 scripts/
-
-# don't place tag on these implementations
-# cvs tag $1 dimm/
-# cvs tag $1 dvo2/
-# cvs tag $1 old/
-# cvs tag $1 pclient/
-# cvs tag $1 pcontrol/
-# cvs tag $1 sched/
Index: /trunk/Ohana/src/opihi/scripts/tag-opihi
===================================================================
--- /trunk/Ohana/src/opihi/scripts/tag-opihi	(revision 4738)
+++ /trunk/Ohana/src/opihi/scripts/tag-opihi	(revision 4738)
@@ -0,0 +1,34 @@
+#!/bin/csh -f
+
+# this just organizes the tagging of the opihi components
+
+if ($#argv != 2) then
+  echo "USAGE: tag-elixir (MODULE) (TAG)"
+  echo "  MODULE choices: base mana dvo dimm psched pcontrol pclient"
+  exit 2
+endif
+
+if ("$1" == "base") then
+  cvs tag $2 Makefile
+  cvs tag $2 include/
+  cvs tag $2 lib.data/
+  cvs tag $2 lib.shell/
+  cvs tag $2 cmd.astro/
+  cvs tag $2 cmd.basic/
+  cvs tag $2 cmd.data/
+  exit 0;
+endif
+
+if ("$1" == "mana") goto valid;
+if ("$1" == "dvo") goto valid;
+if ("$1" == "dimm") goto valid;
+if ("$1" == "psched") goto valid;
+if ("$1" == "pclient") goto valid;
+if ("$1" == "pcontrol") goto valid;
+echo "invalid opihi module $1"
+exit 1;
+
+valid:
+  # tag the module ($1) with the specified tag ($2)
+  cvs tag $2 $1
+  exit 0;
